Package com.xebialabs.xlrelease.domain.events

## Class TeamCreatedEvent

- java.lang.Object
- - com.xebialabs.xlrelease.domain.events.TeamCreatedEvent

- All Implemented Interfaces:
    `TeamEvent`, `XLReleaseEvent`, `java.io.Serializable`, `scala.Equals`, `scala.Product`

      public class TeamCreatedEvent
      extends java.lang.Object
      implements TeamEvent, scala.Product, java.io.Serializable

  Event published when a team is created. param: containerId the container id to which the team belongs. param: team the created team.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TeamCreatedEvent​(java.lang.String containerId, Team team)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TeamCreatedEvent` | `apply​(Release release, Team team)` |
    `static TeamCreatedEvent` | `apply​(java.lang.String containerId, Team team)` |
    `boolean` | `canEqual​(java.lang.Object x$1)` |
    `java.lang.String` | `containerId()` |
    `TeamCreatedEvent` | `copy​(java.lang.String containerId, Team team)` |
    `java.lang.String` | `copy$default$1()` |
    `Team` | `copy$default$2()` |
    `boolean` | `equals​(java.lang.Object x$1)` |
    `int` | `hashCode()` |
    `int` | `productArity()` |
    `java.lang.Object` | `productElement​(int x$1)` |
    `java.lang.String` | `productElementName​(int x$1)` |
    `scala.collection.Iterator<java.lang.Object>` | `productIterator()` |
    `java.lang.String` | `productPrefix()` |
    `Team` | `team()` |
    `java.lang.String` | `toString()` |
    `static scala.Option<scala.Tuple2<java.lang.String,​Team>>` | `unapply​(TeamCreatedEvent x$0)` |
    `java.lang.String` | `username()` |
    `void` | `username_$eq​(java.lang.String x$1)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface scala.Product

      `productElementNames`

    - ### Methods inherited from interface com.xebialabs.xlrelease.domain.events.XLReleaseEvent

      `timeMs, timestamp`

- - ### Constructor Detail

    - #### TeamCreatedEvent

          public TeamCreatedEvent​(java.lang.String containerId,
                                  Team team)

  - ### Method Detail

    - #### apply

          public static TeamCreatedEvent apply​(Release release,
                                               Team team)

    - #### apply

          public static TeamCreatedEvent apply​(java.lang.String containerId,
                                               Team team)

    - #### unapply

          public static scala.Option<scala.Tuple2<java.lang.String,​Team>> unapply​(TeamCreatedEvent x$0)

    - #### username

          public java.lang.String username()

      Specified by:
        `username` in interface `XLReleaseEvent`

    - #### username_$eq

          public void username_$eq​(java.lang.String x$1)

      Specified by:
        `username_$eq` in interface `XLReleaseEvent`

    - #### containerId

          public java.lang.String containerId()

    - #### team

          public Team team()

    - #### copy

          public TeamCreatedEvent copy​(java.lang.String containerId,
                                       Team team)

    - #### copy$default$1

          public java.lang.String copy$default$1()

    - #### copy$default$2

          public Team copy$default$2()

    - #### productPrefix

          public java.lang.String productPrefix()

      Specified by:
        `productPrefix` in interface `scala.Product`

    - #### productArity

          public int productArity()

      Specified by:
        `productArity` in interface `scala.Product`

    - #### productElement

          public java.lang.Object productElement​(int x$1)

      Specified by:
        `productElement` in interface `scala.Product`

    - #### productIterator

          public scala.collection.Iterator<java.lang.Object> productIterator()

      Specified by:
        `productIterator` in interface `scala.Product`

    - #### canEqual

          public boolean canEqual​(java.lang.Object x$1)

      Specified by:
        `canEqual` in interface `scala.Equals`

    - #### productElementName

          public java.lang.String productElementName​(int x$1)

      Specified by:
        `productElementName` in interface `scala.Product`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object x$1)

      Specified by:
        `equals` in interface `scala.Equals`
      Overrides:
        `equals` in class `java.lang.Object`